# opentl::input::CameraCalibration Class Reference

List of all members.

## Public Member Functions
bool | calibrate ()
bool | calibrateExtrinsics ()
bool | calibrateIntrinsics ()
| CameraCalibration (std::vector< opentl::input::ImageSensor * > &imageSensors, double squareWidth=25.0, unsigned int boardWidth=5, unsigned int boardHeight=4, unsigned int neededChessboards=20, bool bGetChessboardAuto=true)
void | getDistortions (std::vector< opentl::math::Vector4 > &distortionsForCam)
bool | getExtrinsics (std::vector< opentl::math::Transform > &extrinsics)
void | getIntrinsics (std::vector< opentl::math::SquareMatrix > &intrinsics)
void | setExtrinsicsFromSingleChessboard (std::vector< opentl::math::Transform > &extrinsics)
void | setIntrinsics (const std::vector< opentl::math::SquareMatrix > &intrinsics)
virtual | ~CameraCalibration ()

## Constructor & Destructor Documentation

opentl::input::CameraCalibration::CameraCalibration | ( | std::vector< opentl::input::ImageSensor * > & | imageSensors,
|  | double | squareWidth = `25.0`,
|  | unsigned int | boardWidth = `5`,
|  | unsigned int | boardHeight = `4`,
|  | unsigned int | neededChessboards = `20`,
|  | bool | bGetChessboardAuto = `true` |
| ) |  |  |

Constructor

Parameters:

  | imageSensors | Vector of input sensors to be calibrated
  | squareWidth | Size of chessboard squares (metric units)
  | boardWidth | Number of squares to be used for calibration (horizontal side)
  | boardHeight | Number of squares to be used for calibration (vertical side)
  | neededChessboards | How many chessboard views are needed
  | bGetChessboardAuto | Whether to detect the pattern on each frame, or manually (press 's' key)

virtual opentl::input::CameraCalibration::~CameraCalibration | ( |  | ) | `[virtual]`

## Member Function Documentation

bool opentl::input::CameraCalibration::calibrate | ( |  | ) |

bool opentl::input::CameraCalibration::calibrateExtrinsics | ( |  | ) |

bool opentl::input::CameraCalibration::calibrateIntrinsics | ( |  | ) |

void opentl::input::CameraCalibration::getDistortions | ( | std::vector< opentl::math::Vector4 > & | distortionsForCam | ) |

bool opentl::input::CameraCalibration::getExtrinsics | ( | std::vector< opentl::math::Transform > & | extrinsics | ) |

Retrieve the extrinsics transformation between sensor0 and sensor1 Assuming sensor0 to be origin and the extrinsic the transformation from sensor1 to sensor0

void opentl::input::CameraCalibration::getIntrinsics | ( | std::vector< opentl::math::SquareMatrix > & | intrinsics | ) |

void opentl::input::CameraCalibration::setExtrinsicsFromSingleChessboard | ( | std::vector< opentl::math::Transform > & | extrinsics | ) |

Place the chessboard pattern somewhere, where it can be seen from at least one cam, and compute the extrinsics w.r.t. this chessboard (T_cam_to_chessboard) extrinsics: reference to the EMPTY vector of extrinsics, that will be filled appropriately

void opentl::input::CameraCalibration::setIntrinsics | ( | const std::vector< opentl::math::SquareMatrix > & | intrinsics | ) |